$(document).on("change", ".demopick", function(e){
	var	thisObj,
		thisSel = $(e.currentTarget),
		thisBox = "#"+thisSel.data("link"),
		thisVal = thisSel.val(),
		thisJSON = makeJSON(thisVal);

	if ( thisVal === "true" ) { thisVal = true; }
	if ( thisVal === "false" ) { thisVal = false; }
	if ( thisVal === parseInt(thisVal,10) ) { thisVal = parseInt(thisVal,10); }
	if ( thisJSON !==false ) { thisVal = thisJSON; }
	thisObj = {}; thisObj[thisSel.data("opt")] = thisVal;
	$(thisBox).datebox(thisObj);
	$(thisBox).datebox("refresh");
});

function makeJSON(str) {
	try {
		return jQuery.parseJSON(str);
	} catch (e) {
		return false;
	}
}
var langs = [{"data":[
	"en: English US", "af: Afrikaans", "ar: Ø§ÙØ¹Ø±Ø¨ÙØ©", "bg: Ð±ÑÐ»Ð³Ð°ÑÑÐºÐ¸ ÐµÐ·Ð¸Ðº", "ca: CatalÃ ",
	"cs: ÄeÅ¡tina", "da: Dansk", "de: Deutsch", "el: ÎµÎ»Î»Î·Î½Î¹ÎºÎ¬", "es-ES: EspaÃ±ol", "fi: Suomi",
	"fr: FranÃ§ais", "he: ×¢××¨××ª", "hr: Hrvatski Jezik", "hu: Magyar", "id: Bahasa Indonesia",
	"it: Italiano", "ja: æ¥æ¬èª", "ko: íêµ­ì´", "lt: LietuviÅ³ Kalba", "nl: Nederlands",
	"nl-BE: Nederlands, Belgium", "no: Norsk", "pl: JÄzyk Polski", "pt-BR: PortuguÃªs",
	"pt-PT: PortuguÃªs", "ro: Limba RomÃ¢nÄ", "ru: ÑÑÑÑÐºÐ¸Ð¹ ÑÐ·ÑÐº", "sl: Slovenski Jezik",
	"sr: ÑÑÐ¿ÑÐºÐ¸ ÑÐµÐ·Ð¸Ðº", "sv-SE: Svenska", "th: à¹à¸à¸¢", "tr: TÃ¼rkÃ§e", "uk: ÑÐºÑÐ°ÑÐ½ÑÑÐºÐ° Ð¼Ð¾Ð²Ð°",
	"vi: Tiáº¿ng Viá»t", "zh-CN: ä¸­æ (Simplified)", "zh-TW: ä¸­æ (Traditional)"]}];

window.changeLang = function(a) {
	var thisLangRaw = langs[0].data[a.custom[0]],
		colonPos = thisLangRaw.search(/:/),
		thisLang = thisLangRaw.substr(0,colonPos);

	$( "[data-role='datebox']" ).each(function() {
		if ( typeof $(this).data("mobile-datebox") !== "undefined" ) {
			$(this).datebox({"useLang": thisLang});
		} else {
			$(this).attr("datebox-use-lang", thisLang);
		}
	});
};
